/*
 * This combined file was created by the DataTables downloader builder:
 *   https://datatables.net/download
 *
 * To rebuild or modify this file with the latest versions of the included
 * software please visit:
 *   https://datatables.net/download/#bs/dt-1.10.16/af-2.2.2/fc-3.2.4/fh-3.1.3/kt-2.3.2/r-2.2.1/sc-1.4.4
 *
 * Included libraries:
 *   DataTables 1.10.16, AutoFill 2.2.2, FixedColumns 3.2.4, FixedHeader 3.1.3, KeyTable 2.3.2, Responsive 2.2.1, Scroller 1.4.4
 */

table.dataTable {
    clear: both;
    margin-top: 6px !important;
    margin-bottom: 6px !important;
    max-width: none !important;
    border-collapse: separate !important
}


/*table.dataTable  th {
    background-color:#e06000;
    color:#fff;
}*/


table.dataTable td, table.dataTable th {
    -webkit-box-sizing: content-box;
    box-sizing: content-box
}

table.dataTable td.dataTables_empty, table.dataTable th.dataTables_empty {
    text-align: center
}

table.dataTable.nowrap th, table.dataTable.nowrap td {
    white-space: nowrap
}

div.dataTables_wrapper div.dataTables_length label {
    font-weight: normal;
    text-align: left;
    white-space: nowrap
}

div.dataTables_wrapper div.dataTables_length select {
    width: 75px;
    display: inline-block
}

div.dataTables_wrapper div.dataTables_filter {
    text-align: right
}

div.dataTables_wrapper div.dataTables_filter label {
    font-weight: normal;
    white-space: nowrap;
    text-align: left
}

div.dataTables_wrapper div.dataTables_filter input {
    margin-left: 0.5em;
    display: inline-block;
    width: auto
}

div.dataTables_wrapper div.dataTables_info {
    padding-top: 8px;
    white-space: nowrap
}

div.dataTables_wrapper div.dataTables_paginate {
    margin: 0;
    white-space: nowrap;
    text-align: right
}

div.dataTables_wrapper div.dataTables_paginate ul.pagination {
    margin: 2px 0;
    white-space: nowrap
}

div.dataTables_wrapper div.dataTables_processing {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 200px;
    margin-left: -100px;
    margin-top: -26px;
    text-align: center;
    padding: 1em 0
}

table.dataTable thead > tr > th.sorting_asc, table.dataTable thead > tr > th.sorting_desc, table.dataTable thead > tr > th.sorting, table.dataTable thead > tr > td.sorting_asc, table.dataTable thead > tr > td.sorting_desc, table.dataTable thead > tr > td.sorting {
    padding-right: 30px
}

table.dataTable thead > tr > th:active, table.dataTable thead > tr > td:active {
    outline: none
}

table.dataTable thead .sorting, table.dataTable thead .sorting_asc, table.dataTable thead .sorting_desc, table.dataTable thead .sorting_asc_disabled, table.dataTable thead .sorting_desc_disabled {
    cursor: pointer;
    position: relative
}

table.dataTable thead .sorting:after, table.dataTable thead .sorting_asc:after, table.dataTable thead .sorting_desc:after, table.dataTable thead .sorting_asc_disabled:after, table.dataTable thead .sorting_desc_disabled:after {
    position: absolute;
    bottom: 8px;
    right: 8px;
    display: block;
    font-family: 'Glyphicons Halflings';
    opacity: 0.5
}

table.dataTable thead .sorting:after {
    opacity: 0.2;
    content: "\e150"
}

table.dataTable thead .sorting_asc:after {
    content: "\e155"
}

table.dataTable thead .sorting_desc:after {
    content: "\e156"
}

table.dataTable thead .sorting_asc_disabled:after, table.dataTable thead .sorting_desc_disabled:after {
    color: #eee
}

div.dataTables_scrollHead table.dataTable {
    margin-bottom: 0 !important
}

div.dataTables_scrollBody > table {
    border-top: none;
    margin-top: 0 !important;
    margin-bottom: 0 !important
}

div.dataTables_scrollBody > table > thead .sorting:after, div.dataTables_scrollBody > table > thead .sorting_asc:after, div.dataTables_scrollBody > table > thead .sorting_desc:after {
    display: none
}

div.dataTables_scrollBody > table > tbody > tr:first-child > th, div.dataTables_scrollBody > table > tbody > tr:first-child > td {
    border-top: none
}

div.dataTables_scrollFoot > .dataTables_scrollFootInner {
    box-sizing: content-box
}

div.dataTables_scrollFoot > .dataTables_scrollFootInner > table {
    margin-top: 0 !important;
    border-top: none
}

@media screen and (max-width: 767px) {
    div.dataTables_wrapper div.dataTables_length, div.dataTables_wrapper div.dataTables_filter, div.dataTables_wrapper div.dataTables_info, div.dataTables_wrapper div.dataTables_paginate {
        text-align: center
    }
}

table.dataTable.table-condensed > thead > tr > th {
    padding-right: 20px
}

table.dataTable.table-condensed .sorting:after, table.dataTable.table-condensed .sorting_asc:after, table.dataTable.table-condensed .sorting_desc:after {
    top: 6px;
    right: 6px
}

table.table-bordered.dataTable th, table.table-bordered.dataTable td {
    border-left-width: 0
}

table.table-bordered.dataTable th:last-child, table.table-bordered.dataTable th:last-child, table.table-bordered.dataTable td:last-child, table.table-bordered.dataTable td:last-child {
    border-right-width: 0
}

table.table-bordered.dataTable tbody th, table.table-bordered.dataTable tbody td {
    border-bottom-width: 0
}

div.dataTables_scrollHead table.table-bordered {
    border-bottom-width: 0
}

div.table-responsive > div.dataTables_wrapper > div.row {
    margin: 0
}

div.table-responsive > div.dataTables_wrapper > div.row > div[class^="col-"]:first-child {
    padding-left: 0
}

div.table-responsive > div.dataTables_wrapper > div.row > div[class^="col-"]:last-child {
    padding-right: 0
}

div.dt-autofill-handle {
    position: absolute;
    height: 8px;
    width: 8px;
    z-index: 102;
    box-sizing: border-box;
    border: 1px solid #337ab7;
    background: #337ab7;
}

div.dt-autofill-select {
    position: absolute;
    z-index: 1001;
    background-color: #337ab7;
    background-image: repeating-linear-gradient(45deg, transparent, transparent 5px, rgba(255, 255, 255, 0.5) 5px, rgba(255, 255, 255, 0.5) 10px);
}

div.dt-autofill-select.top, div.dt-autofill-select.bottom {
    height: 3px;
    margin-top: -1px;
}

div.dt-autofill-select.left, div.dt-autofill-select.right {
    width: 3px;
    margin-left: -1px;
}

div.dt-autofill-list {
    position: fixed;
    top: 50%;
    left: 50%;
    width: 500px;
    margin-left: -250px;
    background-color: white;
    border-radius: 6px;
    box-shadow: 0 0 5px #555;
    border: 2px solid #444;
    z-index: 11;
    box-sizing: border-box;
    padding: 1.5em 2em;
}

div.dt-autofill-list ul {
    display: table;
    margin: 0;
    padding: 0;
    list-style: none;
    width: 100%;
}

div.dt-autofill-list ul li {
    display: table-row;
}

div.dt-autofill-list ul li:last-child div.dt-autofill-question, div.dt-autofill-list ul li:last-child div.dt-autofill-button {
    border-bottom: none;
}

div.dt-autofill-list ul li:hover {
    background-color: #f6f6f6;
}

div.dt-autofill-list div.dt-autofill-question {
    display: table-cell;
    padding: 0.5em 0;
    border-bottom: 1px solid #ccc;
}

div.dt-autofill-list div.dt-autofill-question input[type=number] {
    padding: 6px;
    width: 30px;
    margin: -2px 0;
}

div.dt-autofill-list div.dt-autofill-button {
    display: table-cell;
    padding: 0.5em 0;
    border-bottom: 1px solid #ccc;
}

div.dt-autofill-background {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.7);
    background: radial-gradient(ellipse farthest-corner at center, rgba(0, 0, 0, 0.3) 0%, rgba(0, 0, 0, 0.7) 100%);
    z-index: 10;
}

table.DTFC_Cloned tr {
    background-color: white;
    margin-bottom: 0
}

div.DTFC_LeftHeadWrapper table, div.DTFC_RightHeadWrapper table {
    border-bottom: none !important;
    margin-bottom: 0 !important;
    background-color: white
}

div.DTFC_LeftBodyWrapper table, div.DTFC_RightBodyWrapper table {
    border-top: none;
    margin: 0 !important
}

div.DTFC_LeftBodyWrapper table thead .sorting:after, div.DTFC_LeftBodyWrapper table thead .sorting_asc:after, div.DTFC_LeftBodyWrapper table thead .sorting_desc:after, div.DTFC_LeftBodyWrapper table thead .sorting:after, div.DTFC_LeftBodyWrapper table thead .sorting_asc:after, div.DTFC_LeftBodyWrapper table thead .sorting_desc:after, div.DTFC_RightBodyWrapper table thead .sorting:after, div.DTFC_RightBodyWrapper table thead .sorting_asc:after, div.DTFC_RightBodyWrapper table thead .sorting_desc:after, div.DTFC_RightBodyWrapper table thead .sorting:after, div.DTFC_RightBodyWrapper table thead .sorting_asc:after, div.DTFC_RightBodyWrapper table thead .sorting_desc:after {
    display: none
}

div.DTFC_LeftBodyWrapper table tbody tr:first-child th, div.DTFC_LeftBodyWrapper table tbody tr:first-child td, div.DTFC_RightBodyWrapper table tbody tr:first-child th, div.DTFC_RightBodyWrapper table tbody tr:first-child td {
    border-top: none
}

div.DTFC_LeftFootWrapper table, div.DTFC_RightFootWrapper table {
    border-top: none;
    margin-top: 0 !important;
    background-color: white
}

div.DTFC_Blocker {
    background-color: white
}

table.dataTable.fixedHeader-floating, table.dataTable.fixedHeader-locked {
    background-color: white;
    margin-top: 0 !important;
    margin-bottom: 0 !important
}

table.dataTable.fixedHeader-floating {
    position: fixed !important
}

table.dataTable.fixedHeader-locked {
    position: absolute !important
}

@media print {
    table.fixedHeader-floating {
        display: none
    }
}

table.dataTable th.focus, table.dataTable td.focus {
    outline: 3px solid #337ab7;
    outline-offset: -1px
}

table.dataTable.dtr-inline.collapsed > tbody > tr > td.child, table.dataTable.dtr-inline.collapsed > tbody > tr > th.child, table.dataTable.dtr-inline.collapsed > tbody > tr > td.dataTables_empty {
    cursor: default !important
}

table.dataTable.dtr-inline.collapsed > tbody > tr > td.child:before, table.dataTable.dtr-inline.collapsed > tbody > tr > th.child:before, table.dataTable.dtr-inline.collapsed > tbody > tr > td.dataTables_empty:before {
    display: none !important
}

table.dataTable.dtr-inline.collapsed > tbody > tr[role="row"] > td:first-child, table.dataTable.dtr-inline.collapsed > tbody > tr[role="row"] > th:first-child {
    position: relative;
    padding-left: 30px;
    cursor: pointer
}

table.dataTable.dtr-inline.collapsed > tbody > tr[role="row"] > td:first-child:before, table.dataTable.dtr-inline.collapsed > tbody > tr[role="row"] > th:first-child:before {
    top: 9px;
    left: 4px;
    height: 14px;
    width: 14px;
    display: block;
    position: absolute;
    color: white;
    border: 2px solid white;
    border-radius: 14px;
    box-shadow: 0 0 3px #444;
    box-sizing: content-box;
    text-align: center;
    text-indent: 0 !important;
    font-family: 'Courier New', Courier, monospace;
    line-height: 14px;
    content: '+';
    background-color: #337ab7
}

table.dataTable.dtr-inline.collapsed > tbody > tr.parent > td:first-child:before, table.dataTable.dtr-inline.collapsed > tbody > tr.parent > th:first-child:before {
    content: '-';
    background-color: #d33333
}

table.dataTable.dtr-inline.collapsed.compact > tbody > tr > td:first-child, table.dataTable.dtr-inline.collapsed.compact > tbody > tr > th:first-child {
    padding-left: 27px
}

table.dataTable.dtr-inline.collapsed.compact > tbody > tr > td:first-child:before, table.dataTable.dtr-inline.collapsed.compact > tbody > tr > th:first-child:before {
    top: 5px;
    left: 4px;
    height: 14px;
    width: 14px;
    border-radius: 14px;
    line-height: 14px;
    text-indent: 3px
}

table.dataTable.dtr-column > tbody > tr > td.control, table.dataTable.dtr-column > tbody > tr > th.control {
    position: relative;
    cursor: pointer
}

table.dataTable.dtr-column > tbody > tr > td.control:before, table.dataTable.dtr-column > tbody > tr > th.control:before {
    top: 50%;
    left: 50%;
    height: 16px;
    width: 16px;
    margin-top: -10px;
    margin-left: -10px;
    display: block;
    position: absolute;
    color: white;
    border: 2px solid white;
    border-radius: 14px;
    box-shadow: 0 0 3px #444;
    box-sizing: content-box;
    text-align: center;
    text-indent: 0 !important;
    font-family: 'Courier New', Courier, monospace;
    line-height: 14px;
    content: '+';
    background-color: #337ab7
}

table.dataTable.dtr-column > tbody > tr.parent td.control:before, table.dataTable.dtr-column > tbody > tr.parent th.control:before {
    content: '-';
    background-color: #d33333
}

table.dataTable > tbody > tr.child {
    padding: 0.5em 1em
}

table.dataTable > tbody > tr.child:hover {
    background: transparent !important
}

table.dataTable > tbody > tr.child ul.dtr-details {
    display: inline-block;
    list-style-type: none;
    margin: 0;
    padding: 0
}

table.dataTable > tbody > tr.child ul.dtr-details > li {
    border-bottom: 1px solid #efefef;
    padding: 0.5em 0
}

table.dataTable > tbody > tr.child ul.dtr-details > li:first-child {
    padding-top: 0
}

table.dataTable > tbody > tr.child ul.dtr-details > li:last-child {
    border-bottom: none
}

table.dataTable > tbody > tr.child span.dtr-title {
    display: inline-block;
    min-width: 75px;
    font-weight: bold
}

div.dtr-modal {
    position: fixed;
    box-sizing: border-box;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    z-index: 100;
    padding: 10em 1em
}

div.dtr-modal div.dtr-modal-display {
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    width: 50%;
    height: 50%;
    overflow: auto;
    margin: auto;
    z-index: 102;
    overflow: auto;
    background-color: #f5f5f7;
    border: 1px solid black;
    border-radius: 0.5em;
    box-shadow: 0 12px 30px rgba(0, 0, 0, 0.6)
}

div.dtr-modal div.dtr-modal-content {
    position: relative;
    padding: 1em
}

div.dtr-modal div.dtr-modal-close {
    position: absolute;
    top: 6px;
    right: 6px;
    width: 22px;
    height: 22px;
    border: 1px solid #eaeaea;
    background-color: #f9f9f9;
    text-align: center;
    border-radius: 3px;
    cursor: pointer;
    z-index: 12
}

div.dtr-modal div.dtr-modal-close:hover {
    background-color: #eaeaea
}

div.dtr-modal div.dtr-modal-background {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 101;
    background: rgba(0, 0, 0, 0.6)
}

@media screen and (max-width: 767px) {
    div.dtr-modal div.dtr-modal-display {
        width: 95%
    }
}

div.dtr-bs-modal table.table tr:first-child td {
    border-top: none
}

div.DTS {
    display: block !important
}

div.DTS tbody th, div.DTS tbody td {
    white-space: nowrap
}

div.DTS div.DTS_Loading {
    z-index: 1
}

div.DTS div.dataTables_scrollBody {
    background: repeating-linear-gradient(45deg, #edeeff, #edeeff 10px, #fff 10px, #fff 20px)
}

div.DTS div.dataTables_scrollBody table {
    z-index: 2
}

div.DTS div.dataTables_paginate, div.DTS div.dataTables_length {
    display: none
}

div.DTS tbody tr {
    background-color: white
}


table.dataTable thead .sorting::after, table.dataTable thead .sorting_asc::after, table.dataTable thead .sorting_desc::after, table.dataTable thead .sorting_asc_disabled::after, table.dataTable thead .sorting_desc_disabled::after {
    opacity:0.5;
}

/****DATATABLE LARGEUR COLONNES****/
table.dataTable thead > tr > th.sorting {
  padding-right: 24px;
}

.dataTable.systemesktDatatable > thead > tr {
  font-size: 10px;
}

.dataTable.systemesktDatatable > thead > tr > th {
  text-align: center;
  vertical-align: middle;
}

.dataTable.systemesktDatatable > tbody > tr > td {
  word-wrap: break-word;
  font-size: 10px;
}

th.id-col {
  max-width: 15px;
}

td.id-col {
  max-width: 15px;
}

th.indice-col {
  max-width: 15px;
}

td.indice-col {
  max-width: 15px;
}

th.indice-dossier-col {
  max-width: 20px;
}

th.action-col {
  width: 60px;
  text-align: center;
}

th.date-rev {
  max-width: 20px;
}

td.date-rev {
  max-width: 20px;
}

th.num-skt {
  max-width: 25px;
}

td.num-skt {
  max-width: 25px;
}

th.societe {
  max-width: 15px;
}

td.societe {
  max-width: 15px;
}

th.nom {
  max-width: 15px;
}

td.nom {
  max-width: 15px;
}

td.notExport {
  max-width: 120px;
}

th.codif {
  max-width: 25px;
}

td.codif {
  max-width: 25px;
}

th.nature-component {
  max-width: 15px;
}

td.nature-component {
  max-width: 15px;
}

th.component {
  width: 15px;
}

td.component {
  width: 15px;
}

table.datatable.societyDatatable .nbsystemes {
  max-width: 10px !important;
}

th.num-skt-lg {
  width: 70px !important;
}

th.padding-right-sm {
  padding-right: 0px !important;
}

th.white-space-normal {
  white-space: normal !important;
}

table.dataTable > thead > tr > th.action_col {
    max-width: 60px;
}

/******* Règles (communes avec FNP) pour que les dataTables s'adaptent à la largeur disponible *******/
/* Le wrapper DataTables s’étire bien */
.dataTables_wrapper{
  width: 100%
}

/* La table prend 100% de la largeur */
table.dataTable {
   width: 100% !important;
   table-layout: fixed; /* distribue l’espace, rend le layout plus prévisible */
}

/* Pour éviter que du texte très long force des colonnes géantes */
table.dataTable td {
  white-space: normal;      /* autorise le retour à la ligne */
  word-break: break-word;   /* coupe les mots très longs si besoin */
}

table.dataTable > thead > tr > th {
  white-space: normal;
  word-break: keep-all; /* Pas de coupure en plein milieu d'un mot dans l'entete */
}

.dataTables_scrollHeadInner {
    width: auto !important; 
    height: 35px !important;  
}
/******* FIN Règles (communes avec FNP) pour que les dataTables s'adaptent à la largeur disponible *******/

/******* Règles pour la liste des systèmes ET liste des dossiers *******/
.table-wrapper {
    width: 120%; /* Changer cette valeur pour augmenter ou diminuer la largeur de la table, les colonnes doivent s'adapter */
    /* Centrer la table quelque soit sa largeur dans la page */
    position: relative;
    left: 50%;
    transform: translateX(-50%);
}

/* Rendre la table plus compacte */
table.compact > thead > tr > td,
table.compact > thead > tr > th {
  padding: 4px; /* Padding des cellules */
  /* font-size: 0.875em; */ /* Optionnel : taille du texte */
}


